%define name       easytag
%define ver        0.17
%define rel        1mdk

Summary:      Tag editor for MP3, OGG files
Name:         %name
Version:      %ver
Release:      %rel
License:      GPL
URL:          http://easytag.sourceforge.net
Group:        Sound
Source:       http://download.sourceforge.net/easytag/%{name}-%{version}.tar.bz2
Source1:      %{name}-48x48.png.bz2
Source2:      %{name}-32x32.png.bz2
Source3:      %{name}-16x16.png.bz2
#Source4:      easytag-0.16.1-de.po.bz2
BuildRoot:    %{_tmppath}/%name-buildroot
BuildRequires: libgtk+1.2-devel >= 1.2.7 libid3lib-devel >= 3.8.0
BuildRequires: libogg-devel libvorbis-devel
Prefix: %{_prefix}

%description
EasyTAG is an utility for viewing, editing and writing tags of your
MP3, MP2, FLAC and OGG files. His simple and nice GTK+ interface make
tagging easier.

Features:
  * View, edit, write tags of MP3, MP2, FLAC files (supporting ID3v2 and
    ID3v1.x specifications) and OGG files,
  * Auto tagging: parse filename and directory to complete automatically
    the fields (using masks),
  * Ability to rename files from tag (using masks),
  * Process all files of the selected directory,
  * Ability to browse subdirectories,
  * Recursion for tagging, removing, renaming, saving...,
  * Can set a field (artist, title,...) to all other files,
  * Read file header informations (bitrate, time, ...) and display them,
  * A tree based browser,
  * A list to select files,
  * Simple and explicit interface!,
  * Menu bar and shortcuts,
  * State messages in statubar,
  * French, German, Russian, Dutch, Hungarian, Swedish, Italian, Japanese
    and Ukrainian translation language,
  * Written in C and uses GTK+ 1.2 for the GUI.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#bzcat %SOURCE4 > po/de.po

%build
%configure
%make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
%{find_lang} %name
# install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="Multimedia/Sound"\
title="EasyTAG"\
longtitle="An utility for viewing/editing MP3 tags with a GTK+ GUI."\
command="easytag"\
icon="%{name}.png"
EOF
# install icons
mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir},%{_iconsdir}}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
%{update_menus}

%postun
%{clean_menus}


%files -f %{name}.lang
%defattr(-, root, root)
%doc ChangeLog INSTALL COPYING README TODO THANKS USERS-GUIDE
%{_bindir}/easytag
%{_datadir}/gnome/apps/Multimedia/easytag.desktop
%{_datadir}/pixmaps/*
%{_datadir}/easytag/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Thu Mar  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- 0.17
- removed merged de.po

* Sat Mar  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.16.1-1mdk
- updated german translation
- 0.16.1

* Tue Feb  5 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.16-1mdk
- updated summary
- updated german translation
- 0.16

* Tue Jan 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.15.7-1mdk
- s/.xpm/.png/g
- update german translation
- 0.15.7

* Thu Jan  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.15.6-2mdk
- rebuild with id3lib 3.8.0pre2.1

* Wed Jan  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.15.6-1mdk
- removed patch 0
- 0.15.6
- updated german translation

* Thu Dec 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.15.5-2mdk
- updated description

* Thu Dec 20 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.15.5-1mdk
- patch to link with libvorbis.so
- uses ogg and vorbis libs
- 0.15.5
- rebuild with id3lib 3.7.13 again

* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-2mdk
- rebuild against new libid3

* Mon Sep 24 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.15.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.15.1 with autoconf/make

* Tue Aug 07 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.15-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- new stable version 0.15

* Wed Jul 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.4-1mdk
- updated to 0.14.4

* Tue Jun 26 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.14.3-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.14.3
	- made rpmlint happy

* Tue May 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.2-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.14.2

* Thu May 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.14.1-1mdk
- added in contribs by Gtz Waschk <waschk@linux-mandrake.com> :
	- adapted spec for mandrake
	- patched to use g++ for linking with libstdc++
	- added mandrake menu entry

* Fri Jun 2 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Updated to include po files into the rpm package

* Fri May 5 2000 Jerome Couderc <j.couderc@ifrance.com>
  - Initial spec file.
